float gfHMargin = 0.0f; //top and bottom margin
float gfVMargin = 60.0f; //right and left margin

int items = 14;

float fWidth = (width-gfHMargin*2); // perchè non funziona con width?!
float fHeight = (float)(height-gfVMargin*2)/2.0f;
float offsetX = fWidth/items;
float datascale;

float paddX = (offsetX/2)-2; //padding horizontal
int paddY = 10; //paddingvertical

void draw() {

  background(#000000);
  stroke(0.3);
  line(1000, 0, 1000, 20); //marker for 1000 pixels

  for (int i = 0; i < items; i++)
  {
    datascale = ((height-gfVMargin*2)/2)/2662 * EUfreq[i+1];
    noStroke();
//------ bottom istogram
    fill (#FFFF00);
    rect(gfHMargin + offsetX*i+paddX, height/2+paddY, offsetX-2*paddX, datascale);

//------ top istogram
    fill (#FFFF00);
    rect(gfHMargin + offsetX*i+paddX, height/2-paddY, (offsetX)-2*paddX, -datascale);
    textSize(14);
    textAlign(CENTER, CENTER);
    text(EUfreq[i+1], gfHMargin + offsetX*i + paddX, (height/2)+2*paddY+4+datascale);
    textSize(11);
    text(countries[i], gfHMargin + offsetX*i + paddX, (height/2)-2);
  }

  //------ TITLE
  String[] eu15 = {    "European EU15(1995) countries"  };

  textSize(20);
  textAlign(CENTER, CENTER);
  text("Presence of the European EU15(1995) countries in the Seattle Library for the year 2011", width/2, 22);
}

