// 2013 Winter MAT 259 Data Visualization
// Author: Giovanni Sgambato
// Date: 01.31.2013
// Homework #2.b
// Lab. SQL in Processing - connect mySQL into Processing

import de.bezier.data.sql.*;
MySQL msql;

String DL = ","; //the DELIMITER

//------ EU15 data
int[] EUfreq = new int[15]; //crea un array di integers
String[] countries={"Belgium", "France", "Germany", "Italy", "Netherlands", 
"Denmark","Ireland", "UK", "Greece", "Portugal","Spain", "Austria", "Finland", "Sweden"};
int[]  population = {11041266, 65397912, 81843743, 60681514, 16730348, 
5580516, 4582769, 62989550,11290935, 10541840, 46196276, 8443018, 5401267, 9482855};

//------SIZE
int width = 1200;
int heigth = 700;


void setup() {
  size(width, heigth);

  // connecting to the KRAKEN database
  msql = new MySQL( this, "tango.mat.ucsb.edu", "spl0", "mat259", "V1sual1zat1on" ); //host, database, user, password
  if ( msql.connect() )
  { 

    String TheQuery=" SELECT year(cout) as 'Year',";
    TheQuery += " SUM(CASE WHEN title like '% belgium %' THEN 1 ELSE 0 END) as Belgium, ";
    TheQuery += " SUM(CASE WHEN title like '% france %' THEN 1 ELSE 0 END) as France,";
    TheQuery += " SUM(CASE WHEN title like '% germany %' THEN 1 ELSE 0 END) as Germany,";
    TheQuery += " SUM(CASE WHEN title like '% italy %' THEN 1 ELSE 0 END) as Italy,";
    TheQuery += " SUM(CASE WHEN title like '% netherlands %' or title like '% holland %' THEN 1 ELSE 0 END) as Netherlands,";
    TheQuery += " SUM(CASE WHEN title like '% denmark %' THEN 1 ELSE 0 END) as Denmark,";
    TheQuery += " SUM(CASE WHEN title like '% ireland %' THEN 1 ELSE 0 END) as Ireland,";
    TheQuery += " SUM(CASE WHEN title like '% england %'    THEN 1 ELSE 0 END) as UK,"; /*or title like '% england %' ";
     TheQuery += " or title like '% scotland %' or title like ' % wales %' or title like '% nothern ireland %' */
    TheQuery += " SUM(CASE WHEN title like '% greece %' THEN 1 ELSE 0 END) as Greece,";
    TheQuery += " SUM(CASE WHEN title like '% portugal %' THEN 1 ELSE 0 END) as Portugal,";
    TheQuery += " SUM(CASE WHEN title like '% spain %' THEN 1 ELSE 0 END) as Spain,";
    TheQuery += " SUM(CASE WHEN title like '% austria %' THEN 1 ELSE 0 END) as Austria,";
    TheQuery += " SUM(CASE WHEN title like '% finland %' THEN 1 ELSE 0 END) as Finland,";
    TheQuery += " SUM(CASE WHEN title like '% sweden %' THEN 1 ELSE 0 END) as Sweden";

    TheQuery += " FROM  inraw where year(cout) = '2011' GROUP BY year(cout);";

    println(TheQuery);
    msql.query(TheQuery);
    println("done");
    //msql.next();
    int count = 0;
    while ( msql.next () ) {
      for (int i=1; i<15; i++)
        println(msql.getInt(i+1)) ;
      //transactionArray.add(new Transaction(msql.getString(1),msql.getString(2),msql.getString(3),msql.getFloat(4)));
      //count++;

//------ ciclo for che riempie l'array
      for (int i=1; i<15; i++) {
        EUfreq[i] = msql.getInt(i+1);
      }
    }
  }
  else
  {
    println(" connection failed !");
  }
  
  println(offsetX);
  println(width);
  println(fWidth);
}

